GET
Get stock adjustments

Authorizations

x-api-key
string
header
required

Query Parameters

start_date
string<date-time>

Return adjustments executed at or after this instant (ISO 8601 date-time with time zone, e.g. 2024-01-01T00:00:00.000Z). Defaults to one year ago; earlier values are moved to one year ago.

end_date
string<date-time>

Return adjustments executed at or before this instant (ISO 8601 date-time with time zone, e.g. 2024-12-31T23:59:59.000Z). Defaults to now. Must not be more than one year in the past, and must not be before start_date.

sku
string

SKU to filter by. Currently not applied: the parameter is accepted and validated, but the response includes adjustments for all your SKUs.

Required string length: 1 - 100
page
integer
default:0

Page number, starting at 0.

Required range: x >= 0
per_page
integer
default:10

Number of adjustments per page.

Required range: 1 <= x <= 100

Response

The requested page of stock adjustments.

data
object[]

Stock adjustments, most recent first.

meta_data
object

Pagination information.